#
# spec file for package python-feedgen
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-feedgen
Version:        1.0.0
Release:        1.9
Summary:        Python feed generator module (ATOM, RSS, Podcasts)
License:        BSD-2-Clause AND LGPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://lkiesow.github.io/python-feedgen
Source:         https://files.pythonhosted.org/packages/source/f/feedgen/feedgen-%{version}.tar.gz
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-lxml
Requires:       python-python-dateutil
BuildArch:      noarch
%python_subpackages

%description
This module can be used to generate web feeds in both ATOM and RSS
format. It has support for extensions.

%prep
%setup -q -n feedgen-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%{python_sitelib}/feedgen*
%doc readme.rst
%license license.bsd license.lgpl

%changelog
* Wed Dec 27 2023 Mia Herkt <mia@0x0.st>
- Update to v1.0.0
  * Fix flake8 complaints
    gh#lkiesow/python-feedgen#125
  * Update dependency versions
    gh#lkiesow/python-feedgen#126
  * Add missing iTunes tags
    gh#lkiesow/python-feedgen#97
  * Fix a few comment typos
    gh#lkiesow/python-feedgen#101
  * Improve module documentation
    gh#lkiesow/python-feedgen#128
  * docs: Fix a few typos
    gh#lkiesow/python-feedgen#112
  * Fix etree to string conversion in FeedGenerator
    gh#lkiesow/python-feedgen#124
  * Use Unittest Asserts
    gh#lkiesow/python-feedgen#93
  * Allow integer to be used for enclosure length
    gh#lkiesow/python-feedgen#129
  * Fixed category documentation
    gh#lkiesow/python-feedgen#130
  * Fixed generating Atom feed when adding description as summary
    gh#lkiesow/python-feedgen#131
* Tue Jun  9 2020 pgajdos@suse.com
- fix testing, use %%pytest macro
* Wed May  6 2020 Mia Herkt <mia@0x0.st>
- init, v0.9.0
